SDL_DEFINE_PIXELFOURCC(3)

NAME
SDL_DEFINE_PIXELFOURCC - A macro for defining custom FourCC pixel formats.

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_DEFINE_PIXELFOURCC(A, B, C, D) SDL_FOURCC(A, B, C, D)

DESCRIPTION
For example, defining SDL_PIXELFORMAT_YV12
 looks like this:

        SDL_DEFINE_PIXELFOURCC('Y', 'V', '1', '2')

RETURN VALUE
Returns a format value in the style of SDL_PixelFormat .

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.